V1PlatformModerationClubsIdMembersMemberidRemove
Remove a member from a club and its events and challenges
Ends the membership, event memberships and challenge enrolments with their sharing choices, exactly like leaving. The person cannot rejoin this club on their own.
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
id*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidmemberId*string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/platform/moderation/clubs/497f6eca-6276-4993-bfeb-53cbbbba6f08/members/497f6eca-6276-4993-bfeb-53cbbbba6f08/remove" \ -H "Content-Type: application/json" \ -d '{ "reason": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "action": "profile_takedown", "targetId": "cbca1126-180e-4334-9df8-cf82289d378b", "status": "removed"}